Subject: Re: Irreproducible

From: [email-masked] (david)
Date: Tue, 28 Nov 2017 16:16:37 +0100 (CET)

Thanks.

My setup has been a continuously upgraded debian system for more than 15
years when I recently upgraded to devuan/stable=jessie, and very recently to
devuan/ascii.  I'm using aptitude, and I it says it is up to date.

When I switched jessie to ascii from I had lots of conflicts that I did not
try to resolve at that time.  Then they recently solved by themselve with
apt and no tweaking. Then I realized that git+https problem.

The not truncated message is:
        $ git clone https://github.com/devuan/jenkins-debian-glue
        Cloning into 'jenkins-debian-glue'...
        fatal: unable to access 'https://github.com/devuan/jenkins-debian-glue/': gnutls_handshake() failed: Public key signature verification has failed.

It happens with every accounts, so it is not a git misconfiguration.

I realize that git is otherwise working with protocol ssh://git@
I have no problem with:
        git clone [email-masked]:devuan/jenkins-debian-glue.git

I just moved /etc/ssl/certs to /etc/ssl/certs.old and reinstalled
ca-certificates, but the problem remains.

I tried with lynx (accepting all cookies) with no problem:
        lynx https://github.com/devuan/jenkins-debian-glue/

It is not clear to me where to search for the origin of my problem,
considering that you say it is flawlessly working on other ascii
installations.

My /etc/apt/sources.list is:
-------------------------------------------------------------
deb     http://auto.mirror.devuan.org/merged ascii main
deb-src http://auto.mirror.devuan.org/merged ascii main
deb     http://auto.mirror.devuan.org/merged ascii-updates main
deb-src http://auto.mirror.devuan.org/merged ascii-updates main
deb     http://auto.mirror.devuan.org/merged ascii-security main
deb-src http://auto.mirror.devuan.org/merged ascii-security main

deb     http://packages.devuan.org/merged ascii-security main
deb-src http://packages.devuan.org/merged ascii-security main

#deb     http://auto.mirror.devuan.org/merged ascii-proposed main
#deb-src http://auto.mirror.devuan.org/merged ascii-proposed main

deb     http://auto.mirror.devuan.org/merged ascii-backports main
deb-src http://auto.mirror.devuan.org/merged ascii-backports main

#deb     http://auto.mirror.devuan.org/devuan experimental main
#deb-src http://auto.mirror.devuan.org/devuan experimental main
-------------------------------------------------------------
I also have in sources.list.d/:

-------------------------------------------------------------
deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/Debian_7.0/ /
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
-------------------------------------------------------------

and also: Thanks again for devuan :)